Skip to main content
GET
/
v1
/
users
/
{userId}
/
beneficiaries
/
{beneficiaryId}
Get beneficiary
curl --request GET \
  --url https://api.cadanapay.com/v1/users/{userId}/beneficiaries/{beneficiaryId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "30e06567-9fa9-48b0-bf67-c54eb49e8b03",
  "name": "John Doe",
  "email": "john.doe@example.com",
  "countryCode": "CO",
  "currency": "COP",
  "paymentDetails": {
    "preferredMethod": "bank",
    "bank": {
      "accountName": "John Doe",
      "accountNumber": "123456789",
      "accountType": "Checking",
      "bankCode": "EXMPCOBB",
      "bankName": "Colombia Bank",
      "currency": "COP"
    }
  },
  "createdTimestamp": 1748550207,
  "lastUpdatedTimestamp": 1748550207
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

beneficiaryId
string<uuid>
required

The unique identifier for the beneficiary

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Response

Get beneficiary response

name
string
required
Example:

"John Doe"

countryCode
string
required

The country code of the beneficiary in ISO 3166-1 alpha-2 format

Example:

"KE"

currency
string
required

The currency of the beneficiary in ISO 4217 format

Example:

"KES"

paymentDetails
object
required
id
string<uuid>
required
Example:

"7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"

createdTimestamp
integer
required

Unix timestamp when the beneficiary was created

Example:

1748478276

lastUpdatedTimestamp
integer
required

Unix timestamp when the beneficiary was last updated

Example:

1748478276

email
string<email>
Example:

"john.doe@example.com"